function buttonresetzerobdsBLA(hObject, eventdata, Empty_Button, Buttons, AxesRAW, AxesZLF, DataText, ZerolineText)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*isfield(data,'isbd') == 1) && (data.isdata*data.isbd == 1)
    
    plot(AxesRAW,data.x,data.D','k');
    axis(AxesRAW,'tight');
    yl = get(AxesRAW,'ylim');
    yl = [min(0,yl(1)), yl(2)*1.1];
    set(AxesRAW,'ylim',yl);
    xlabel(AxesRAW,'channel');
    
    set(ZerolineText(6), 'String', 'not ok', 'ForegroundColor','r');
    
    data.isbd = 0;
    data.xbd = [];
    data.ibd = [];
    data.iszlf = 0;
    data.iszla = 0;
    data.nobd = 0;
    
    plot(AxesZLF,1,0,'w');
    
    onoffButton(Buttons,[],[3 4 6 7]);
    set(hObject, 'Enable', 'off');
    
    set(Empty_Button,'UserData',data);
end
